Subject: Re: bug#9810: cw in viper mode clobbers clipboard

From: Stefan Monnier <[email-masked]>
Date: Thu, 20 Oct 2011 17:31:07 -0400

> I like the behavior of select-active-regions when it is set to t.

[ FWIW, I don't. ;-)  ]

> However, I do not consider the selected word when one does 'cw' an
> active region (in the usual emacs sense).

I see.  But technically, it is (i.e. that's how Viper implements it).

> It is a vi construct independent of Emacs active regions and so it
> need not honor the select-active-regions setting.

Of course, Viper could be changed to use some other mechanism, but it is
convenient to use the region for that.  I'm not sure how/if we could let
Viper tell Emacs to ignore select-active-regions for this case.

> I am curious what other long-time viper mode users think about this
> change in behavior (note that I no idea if any of the responders to
> this bug report are viper users or not).

I don't use Viper myself, so I'll let others handle this part.

        Stefan